import { StateResource, getEmbeddedResources } from '@alfa-client/tech-shared';
import { BinaryFileListLinkRel } from './binary-file.linkrel';
import { BinaryFileListResource, BinaryFileResource } from './binary-file.model';

export function getBinaryFiles(
  binaryFileListResource: StateResource<BinaryFileListResource>,
): BinaryFileResource[] {
  return getEmbeddedResources(binaryFileListResource, BinaryFileListLinkRel.FILE_LIST);
}
