package de.ozgcloud.alfa.file;

import de.xoev.xdomea.DateiformatCodeType;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Getter
enum DateiformatCode {
	PDF("vCBzR", "018");

	static final String LIST_URI = "urn:xoev-de:xdomea:codeliste:dateiformat";
	final String listVersionID;
	final String code;

	public DateiformatCodeType createDateiformatCodeType() {
		var dateiformatCode = new DateiformatCodeType();
		dateiformatCode.setCode(code);
		dateiformatCode.setListURI(LIST_URI);
		dateiformatCode.setListVersionID(listVersionID);
		return dateiformatCode;
	}
}
